# Class Buildable

Class Buildable

Declaration :

- C++ : class Buildable : public Visitable
- Java : public interface Buildable

Directly inherited by : MObject

Artifact : buildable

Stereotype: interface

Operation apply

Declaration :

- Uml : abstract, + apply(inout providedTool : BuilderTool) : void
- C++ : public: virtual void apply (BuilderTool& providedTool) = 0

All public operations : apply , apply , dispatchOp